### Method

# Gio SocketConnection is_connected

since: 2.32

#### Declaration

    gboolean
    g_socket_connection_is_connected (
      GSocketConnection* connection
    )

#### Description

Checks if `connection` is connected. This is equivalent to calling `g_socket_is_connected()` on `connection`‘s underlying `GSocket`.

Available since: 2.32

#### Return value

Type: `gboolean`

Whether `connection` is connected.